Package cds.healpix

# Class Cell

java.lang.Object
cds.healpix.Cell

public class Cell extends Object
Very generic Cell class. The dimension (e.g. HEALPix cell = dim 2; Time cell = dim 1) is not given here.

Author:
  F.-X. Pineau

## Field Summary

Fields
Modifier and Type
Field
Description
`final long`
`depth`
Cell depth.
`long`
`hash`
Cell number (hash value).

## Constructor Summary

Constructors
Constructor
Description
`Cell(int depth, long hash)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### depth

public final long depth
Cell depth.

### hash

public long hash
Cell number (hash value).

## Constructor Details

### Cell

public Cell(int depth, long hash)